﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using C1.Web.Wijmo.Controls.C1Chart;
using System.Globalization;
using System.Drawing;

namespace BarChart_HintFlicker
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                #region Series Addition
                double[] unitsSold = new double[12];
                double[] month = new double[12];

                //populate the array
                int i = 0;
                for (i = 0; i < 12; i++)
                {
                    unitsSold[i] = i;
                    month[i] = i * i;
                }

                //create an object of chart series and add data
                BarChartSeries bcs = new BarChartSeries();
                bcs.Data.X.AddRange(unitsSold);
                bcs.Data.Y.AddRange(month);
                bcs.Label = "FY2009 ACTUAL";

                //add the first series
                C1BarChart1.SeriesList.Add(bcs);


                double[] unitsSold1 = new double[12];
                double[] month1 = new double[12];
                //populate the array
                int j = 0;
                int counter = 0;
                for (j = 12; j < 24; j++)
                {
                    unitsSold1[counter] = j;
                    month1[counter] = counter * 2;
                    counter++;
                }

                //create an object of chart series and add data
                BarChartSeries bcs1 = new BarChartSeries();
                bcs1.Data.X.AddRange(unitsSold1);
                bcs1.Data.Y.AddRange(month1);
                bcs1.Label = "FY2010 ACTUAL";

                //add the second series
                C1BarChart1.SeriesList.Add(bcs1);
                #endregion

                #region Adding Value Labels
                //array consisting names of the months
                string[] monthNames = DateTimeFormatInfo.CurrentInfo.MonthNames;
                //FOR THE FIRST SERIES
                for (i = 0; i < monthNames.Length - 1; i++)
                {
                    //create object of ValueLabel class
                    ValueLabel vl = new ValueLabel();
                    // set the x-axis value which you want to replace
                    vl.NumericValue = i;
                    // set the desired value which you want to show
                    vl.Text = monthNames[i].Substring(0, 3);
                    // add it to the ValueLabel collection
                    C1BarChart1.Axis.X.ValueLabelList.Add(vl);
                }

                //set the annotation to valuelabels instead of values.
                C1BarChart1.Axis.X.AnnoMethod = ChartAxisAnnoMethod.ValueLabels;


                //FOR THE SECOND SERIES
                for (i = 0; i < monthNames.Length - 1; i++)
                {
                    //create object of ValueLabel class
                    ValueLabel vl = new ValueLabel();
                    vl.NumericValue = i + 12;
                    // set the desired value which you want to show
                    vl.Text = monthNames[i].Substring(0, 3);

                    // add it to the ValueLabel collection
                    C1BarChart1.Axis.X.ValueLabelList.Add(vl);
                }

                //set the annotation to valuelabels instead of values.
                C1BarChart1.Axis.X.AnnoMethod = ChartAxisAnnoMethod.ValueLabels;
                #endregion

                #region Adding Color Styles
                ChartStyle cs = new ChartStyle();
                cs.Fill.Color = Color.Purple;
                C1BarChart1.SeriesStyles.Add(cs);

                ChartStyle cs1 = new ChartStyle();
                cs1.Fill.Color = Color.Orange;
                C1BarChart1.SeriesStyles.Add(cs1);
                #endregion
            }
        }

    }
}